# Locked Users List

| **API URL**     | {{url}}/user-service/user/locked-users |
| --------------- | -------------------------------------- |
| **Method**      | POST                                   |
| **Description** | Get all locked users                   |

#### **Input** <a href="#lockeduserslist-input" id="lockeduserslist-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                         |
| ---------------------- | -------- | ------------- | ----------------------------------------------------------------------------------- |
| Authorization (Header) | String   | Yes           | Token from Login                                                                    |
| tenantId               | String   | No            | Organization id of Region / Account / Operating Unit and not needed for super admin |

#### **Sample Input:** <a href="#lockeduserslist-sampleinput" id="lockeduserslist-sampleinput"></a>

{ "tenantId":"5", "limit":2 }

#### **Output** <a href="#lockeduserslist-output" id="lockeduserslist-output"></a>

| **Field Name** | **Type** | **Comments** |
| -------------- | -------- | ------------ |
| `id`           | String   | User ID      |
| `username`     | String   |              |
| `gender`       | String   |              |
| `roles`        | Object   |              |
| `active`       | Boolean  |              |
| `firstName`    | String   |              |
| `lastName`     | String   |              |
| `middleName`   | String   |              |
| `phoneNumber`  | String   |              |
| `timezone`     | Object   |              |
| `countryCode`  | String   |              |
| `country`      | Object   |              |
| `isSuperUser`  | Boolean  |              |

#### **Sample Output:** <a href="#lockeduserslist-sampleoutput" id="lockeduserslist-sampleoutput"></a>

```
  {
    "message": "Got All users.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 395,
            "username": "autobanXXX@spXXXe.XXX",
            "firstName": "Sathya",
            "lastName": "BanglaHS",
            "gender": "Male",
            "country": {
                "id": 3,
                "name": "Bangladesh",
                "countryCode": "880",
                "unitMeasurement": "metric",
                "tenantId": 5
            },
            "countryCode": "880",
            "phoneNumber": "9876XXX21X",
            "timezone": {
                "id": 1,
                "offset": "-12:00",
                "description": "(UTC-12:00) International Date Line West"
            }
        }
    ],
    "responseCode": 200,
    "totalCount": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/versions/spice-1.0/engineering/api-documentation/common-services/locked-users-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
